Bug 238599 - can't use libgstflump3dec.so
can't use libgstflump3dec.so
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 14:50 EDT by Eric Tanguy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 10:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2007-05-01 14:50:29 EDT
Description of problem:
i downloaded fluendo mp3 plugin for gstreamer. I copy it in
/usr/lib/gstreamer-0.10/ but when i try to play a mp3 file with totem it fails
and setroubleshoot says to 
chcon -t textrel_shlib_t /usr/lib/gstreamer-0.10/libgstflump3dec.so
after that i can play mp3 file without any problem.

Version-Release number of selected component (if applicable): the version
included in test4 live cd


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-05-03 10:16:24 EDT
This is not a bug,  with SELinux gstreamer libraries are compiled incorrectly as
setroubleshoot describes a bug should be reported to them.  Fixing the context
should have allowed you app to work.  restorecon -R -v /usr/lib/gstream* should
fix the context also.

Note You need to log in before you can comment on or make changes to this bug.